Updating Shadow Puppet

technicalpickles edited this page Aug 1, 2012 · 2 revisions

During your initial cap deploy:setup, Moonshine handles installing shadow_puppet the first time. It is not, however, reinstalled during normal deploys.

When you update moonshine, you will want to also update shadow_puppet to ensure compatability and to get any other fixes. You can do this before a normal cap deploy with:

cap <stage> ruby:install_moonshine_deps

This will install a version of shadow_puppet that will work with your current version of moonshine.